# This file created by conda-build 24.1.2
# ------------------------------------------------

package:
  name: cuda-nvvm-tools
  version: 12.4.131
source:
  patches:
    - nvcc.profile.patch
  sha256: 83f130dab0325e12b90fdf1279c0cbbd88acf638ef0a7e0cad72d50855a4f44a
  url: https://developer.download.nvidia.com/compute/cuda/redist/cuda_nvcc/linux-sbsa/cuda_nvcc-linux-sbsa-12.4.131-archive.tar.xz
build:
  noarch: false
  noarch_python: false
  number: '0'
  string: ha8f0017_0
requirements:
  build:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 5.1 51_gnu
    - binutils_impl_linux-aarch64 2.38 h0c9fd12_1
    - binutils_linux-aarch64 2.38.0 h0c7b1b4_0
    - gcc_impl_linux-aarch64 11.2.0 h1234567_1
    - gcc_linux-aarch64 11.2.0 h3fc98b3_0
    - gxx_impl_linux-aarch64 11.2.0 h1234567_1
    - gxx_linux-aarch64 11.2.0 h0c7b1b4_0
    - kernel-headers_linux-aarch64 4.14.214 h1cb168f_14
    - ld_impl_linux-aarch64 2.38 h8131f2d_1
    - libgcc-devel_linux-aarch64 11.2.0 h1234567_1
    - libgcc-ng 11.2.0 h1234567_1
    - libgomp 11.2.0 h1234567_1
    - libstdcxx-devel_linux-aarch64 11.2.0 h1234567_1
    - libstdcxx-ng 11.2.0 h1234567_1
    - sysroot_linux-aarch64 2.26 h4744778_14
  host:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 5.1 51_gnu
    - cuda-version 12.4 hbda6634_3
    - libgcc-ng 11.2.0 h1234567_1
    - libgomp 11.2.0 h1234567_1
    - libstdcxx-ng 11.2.0 h1234567_1
  run:
    - cuda-version >=12.4,<12.5.0a0
    - libgcc-ng >=11.2.0
    - libstdcxx-ng >=11.2.0
  run_constrained:
    - arm-variant * sbsa
test:
  commands:
    - test -d $PREFIX/nvvm
    - test -f $PREFIX/nvvm/bin/cicc
about:
  description: 'Compiler for CUDA applications.

    '
  doc_url: https://docs.nvidia.com/cuda/index.html
  home: https://developer.nvidia.com/cuda-toolkit
  license: LicenseRef-NVIDIA-End-User-License-Agreement
  license_file: LICENSE
  license_url: https://docs.nvidia.com/cuda/eula/index.html
  summary: Compiler for CUDA applications.
extra:
  copy_test_source_files: true
  feedstock-name: cuda-nvcc-impl
  final: true
  flow_run_id: 17d972a3-e1ef-49bd-a059-ebc527a30f24
  recipe-maintainers:
    - conda-forge/cuda
  remote_url: git@github.com:AnacondaRecipes/cuda-nvcc-impl-feedstock.git
  sha: 10d594249c7e73a8d9cb5964119440ae36161cf5
